# This Python file uses the following encoding: utf-8
"""autogenerated by genpy from etsi_its_cam_msgs/ItsPduHeader.msg. Do not edit."""
import codecs
import sys
python3 = True if sys.hexversion > 0x03000000 else False
import genpy
import struct

import etsi_its_cam_msgs.msg

class ItsPduHeader(genpy.Message):
  _md5sum = "5b6fa57c6d44edd6479c994b4720752b"
  _type = "etsi_its_cam_msgs/ItsPduHeader"
  _has_header = False  # flag to mark the presence of a Header object
  _full_text = """# ==============================================================================
# MIT License
#
# Copyright (c) 2023 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by asn1ToRosMsg.py ----------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# ItsPduHeader ::= SEQUENCE {
#     protocolVersion INTEGER (0..255),
#     messageID INTEGER{ denm(1), cam(2), poi(3), spatem(4), mapem(5), ivim(6), ev-rsr(7), tistpgtransaction(8), srem(9), ssem(10), evcsn(11), saem(12), rtcmem(13) } (0..255),  -- Mantis #7209, #7005
# ------------------------------------------------------------------------------

uint8 protocol_version
uint8 PROTOCOL_VERSION_MIN = 0
uint8 PROTOCOL_VERSION_MAX = 255

uint8 message_id
uint8 MESSAGE_ID_MIN = 0
uint8 MESSAGE_ID_MAX = 255
uint8 MESSAGE_ID_DENM = 1
uint8 MESSAGE_ID_CAM = 2
uint8 MESSAGE_ID_POI = 3
uint8 MESSAGE_ID_SPATEM = 4
uint8 MESSAGE_ID_MAPEM = 5
uint8 MESSAGE_ID_IVIM = 6
uint8 MESSAGE_ID_EV_RSR = 7
uint8 MESSAGE_ID_TISTPGTRANSACTION = 8
uint8 MESSAGE_ID_SREM = 9
uint8 MESSAGE_ID_SSEM = 10
uint8 MESSAGE_ID_EVCSN = 11
uint8 MESSAGE_ID_SAEM = 12
uint8 MESSAGE_ID_RTCMEM = 13

StationID station_id


================================================================================
MSG: etsi_its_cam_msgs/StationID
# ==============================================================================
# MIT License
#
# Copyright (c) 2023 Institute for Automotive Engineering (ika), RWTH Aachen University
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
# ==============================================================================

# --- Auto-generated by asn1ToRosMsg.py ----------------------------------------

# --- ASN.1 Definition ---------------------------------------------------------
# StationID ::= INTEGER(0..4294967295)
# ------------------------------------------------------------------------------

uint32 value
uint32 MIN = 0
uint32 MAX = 4294967295

"""
  # Pseudo-constants
  PROTOCOL_VERSION_MIN = 0
  PROTOCOL_VERSION_MAX = 255
  MESSAGE_ID_MIN = 0
  MESSAGE_ID_MAX = 255
  MESSAGE_ID_DENM = 1
  MESSAGE_ID_CAM = 2
  MESSAGE_ID_POI = 3
  MESSAGE_ID_SPATEM = 4
  MESSAGE_ID_MAPEM = 5
  MESSAGE_ID_IVIM = 6
  MESSAGE_ID_EV_RSR = 7
  MESSAGE_ID_TISTPGTRANSACTION = 8
  MESSAGE_ID_SREM = 9
  MESSAGE_ID_SSEM = 10
  MESSAGE_ID_EVCSN = 11
  MESSAGE_ID_SAEM = 12
  MESSAGE_ID_RTCMEM = 13

  __slots__ = ['protocol_version','message_id','station_id']
  _slot_types = ['uint8','uint8','etsi_its_cam_msgs/StationID']

  def __init__(self, *args, **kwds):
    """
    Constructor. Any message fields that are implicitly/explicitly
    set to None will be assigned a default value. The recommend
    use is keyword arguments as this is more robust to future message
    changes.  You cannot mix in-order arguments and keyword arguments.

    The available fields are:
       protocol_version,message_id,station_id

    :param args: complete set of field values, in .msg order
    :param kwds: use keyword arguments corresponding to message field names
    to set specific fields.
    """
    if args or kwds:
      super(ItsPduHeader, self).__init__(*args, **kwds)
      # message fields cannot be None, assign default values for those that are
      if self.protocol_version is None:
        self.protocol_version = 0
      if self.message_id is None:
        self.message_id = 0
      if self.station_id is None:
        self.station_id = etsi_its_cam_msgs.msg.StationID()
    else:
      self.protocol_version = 0
      self.message_id = 0
      self.station_id = etsi_its_cam_msgs.msg.StationID()

  def _get_types(self):
    """
    internal API method
    """
    return self._slot_types

  def serialize(self, buff):
    """
    serialize message into buffer
    :param buff: buffer, ``StringIO``
    """
    try:
      _x = self
      buff.write(_get_struct_2BI().pack(_x.protocol_version, _x.message_id, _x.station_id.value))
    except struct.error as se: self._check_types(struct.error("%s: '%s' when writing '%s'" % (type(se), str(se), str(locals().get('_x', self)))))
    except TypeError as te: self._check_types(ValueError("%s: '%s' when writing '%s'" % (type(te), str(te), str(locals().get('_x', self)))))

  def deserialize(self, str):
    """
    unpack serialized message in str into this message instance
    :param str: byte array of serialized message, ``str``
    """
    if python3:
      codecs.lookup_error("rosmsg").msg_type = self._type
    try:
      if self.station_id is None:
        self.station_id = etsi_its_cam_msgs.msg.StationID()
      end = 0
      _x = self
      start = end
      end += 6
      (_x.protocol_version, _x.message_id, _x.station_id.value,) = _get_struct_2BI().unpack(str[start:end])
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e)  # most likely buffer underfill


  def serialize_numpy(self, buff, numpy):
    """
    serialize message with numpy array types into buffer
    :param buff: buffer, ``StringIO``
    :param numpy: numpy python module
    """
    try:
      _x = self
      buff.write(_get_struct_2BI().pack(_x.protocol_version, _x.message_id, _x.station_id.value))
    except struct.error as se: self._check_types(struct.error("%s: '%s' when writing '%s'" % (type(se), str(se), str(locals().get('_x', self)))))
    except TypeError as te: self._check_types(ValueError("%s: '%s' when writing '%s'" % (type(te), str(te), str(locals().get('_x', self)))))

  def deserialize_numpy(self, str, numpy):
    """
    unpack serialized message in str into this message instance using numpy for array types
    :param str: byte array of serialized message, ``str``
    :param numpy: numpy python module
    """
    if python3:
      codecs.lookup_error("rosmsg").msg_type = self._type
    try:
      if self.station_id is None:
        self.station_id = etsi_its_cam_msgs.msg.StationID()
      end = 0
      _x = self
      start = end
      end += 6
      (_x.protocol_version, _x.message_id, _x.station_id.value,) = _get_struct_2BI().unpack(str[start:end])
      return self
    except struct.error as e:
      raise genpy.DeserializationError(e)  # most likely buffer underfill

_struct_I = genpy.struct_I
def _get_struct_I():
    global _struct_I
    return _struct_I
_struct_2BI = None
def _get_struct_2BI():
    global _struct_2BI
    if _struct_2BI is None:
        _struct_2BI = struct.Struct("<2BI")
    return _struct_2BI
