
"use strict";

let StationarySince = require('./StationarySince.js');
let HumanProblemSubCauseCode = require('./HumanProblemSubCauseCode.js');
let HumanPresenceOnTheRoadSubCauseCode = require('./HumanPresenceOnTheRoadSubCauseCode.js');
let CurvatureConfidence = require('./CurvatureConfidence.js');
let PosPillar = require('./PosPillar.js');
let CenDsrcTollingZoneID = require('./CenDsrcTollingZoneID.js');
let TurningRadius = require('./TurningRadius.js');
let ProtectedZoneRadius = require('./ProtectedZoneRadius.js');
let Altitude = require('./Altitude.js');
let SpeedLimit = require('./SpeedLimit.js');
let Temperature = require('./Temperature.js');
let CollisionRiskSubCauseCode = require('./CollisionRiskSubCauseCode.js');
let PtActivationType = require('./PtActivationType.js');
let YawRateValue = require('./YawRateValue.js');
let PostCrashSubCauseCode = require('./PostCrashSubCauseCode.js');
let RestrictedTypes = require('./RestrictedTypes.js');
let CauseCodeType = require('./CauseCodeType.js');
let BasicVehicleContainerLowFrequency = require('./BasicVehicleContainerLowFrequency.js');
let AccidentSubCauseCode = require('./AccidentSubCauseCode.js');
let EmergencyContainer = require('./EmergencyContainer.js');
let ProtectedZoneType = require('./ProtectedZoneType.js');
let AdverseWeatherConditionExtremeWeatherConditionSubCauseCode = require('./AdverseWeatherConditionExtremeWeatherConditionSubCauseCode.js');
let SpecialVehicleContainer = require('./SpecialVehicleContainer.js');
let RescueContainer = require('./RescueContainer.js');
let PerformanceClass = require('./PerformanceClass.js');
let GenerationDeltaTime = require('./GenerationDeltaTime.js');
let DangerousGoodsExtended = require('./DangerousGoodsExtended.js');
let BasicContainer = require('./BasicContainer.js');
let LightBarSirenInUse = require('./LightBarSirenInUse.js');
let CenDsrcTollingZone = require('./CenDsrcTollingZone.js');
let PosConfidenceEllipse = require('./PosConfidenceEllipse.js');
let LongitudinalAccelerationValue = require('./LongitudinalAccelerationValue.js');
let PosCentMass = require('./PosCentMass.js');
let ExteriorLights = require('./ExteriorLights.js');
let RSUContainerHighFrequency = require('./RSUContainerHighFrequency.js');
let ClosedLanes = require('./ClosedLanes.js');
let HazardousLocationAnimalOnTheRoadSubCauseCode = require('./HazardousLocationAnimalOnTheRoadSubCauseCode.js');
let LowFrequencyContainer = require('./LowFrequencyContainer.js');
let VerticalAccelerationValue = require('./VerticalAccelerationValue.js');
let AccelerationControl = require('./AccelerationControl.js');
let DeltaLongitude = require('./DeltaLongitude.js');
let HighFrequencyContainer = require('./HighFrequencyContainer.js');
let AltitudeValue = require('./AltitudeValue.js');
let LongitudinalAcceleration = require('./LongitudinalAcceleration.js');
let RequestResponseIndication = require('./RequestResponseIndication.js');
let VehicleRole = require('./VehicleRole.js');
let DigitalMap = require('./DigitalMap.js');
let TransmissionInterval = require('./TransmissionInterval.js');
let PtActivation = require('./PtActivation.js');
let ItineraryPath = require('./ItineraryPath.js');
let RoadType = require('./RoadType.js');
let RoadworksSubCauseCode = require('./RoadworksSubCauseCode.js');
let HeadingConfidence = require('./HeadingConfidence.js');
let CurvatureCalculationMode = require('./CurvatureCalculationMode.js');
let Traces = require('./Traces.js');
let HardShoulderStatus = require('./HardShoulderStatus.js');
let TrafficConditionSubCauseCode = require('./TrafficConditionSubCauseCode.js');
let ProtectedCommunicationZonesRSU = require('./ProtectedCommunicationZonesRSU.js');
let YawRate = require('./YawRate.js');
let AltitudeConfidence = require('./AltitudeConfidence.js');
let SpecialTransportContainer = require('./SpecialTransportContainer.js');
let SpeedValue = require('./SpeedValue.js');
let EnergyStorageType = require('./EnergyStorageType.js');
let EmergencyPriority = require('./EmergencyPriority.js');
let EventHistory = require('./EventHistory.js');
let VehicleIdentification = require('./VehicleIdentification.js');
let DriveDirection = require('./DriveDirection.js');
let RoadWorksContainerBasic = require('./RoadWorksContainerBasic.js');
let CurvatureValue = require('./CurvatureValue.js');
let PosLonCarr = require('./PosLonCarr.js');
let PathHistory = require('./PathHistory.js');
let VehicleLength = require('./VehicleLength.js');
let StationID = require('./StationID.js');
let LateralAcceleration = require('./LateralAcceleration.js');
let VehicleLengthConfidenceIndication = require('./VehicleLengthConfidenceIndication.js');
let LateralAccelerationValue = require('./LateralAccelerationValue.js');
let SteeringWheelAngle = require('./SteeringWheelAngle.js');
let StationType = require('./StationType.js');
let WheelBaseVehicle = require('./WheelBaseVehicle.js');
let PathDeltaTime = require('./PathDeltaTime.js');
let PtActivationData = require('./PtActivationData.js');
let AccelerationConfidence = require('./AccelerationConfidence.js');
let RelevanceDistance = require('./RelevanceDistance.js');
let HazardousLocationDangerousCurveSubCauseCode = require('./HazardousLocationDangerousCurveSubCauseCode.js');
let ProtectedCommunicationZone = require('./ProtectedCommunicationZone.js');
let SteeringWheelAngleValue = require('./SteeringWheelAngleValue.js');
let LanePosition = require('./LanePosition.js');
let TimestampIts = require('./TimestampIts.js');
let PathPoint = require('./PathPoint.js');
let VDS = require('./VDS.js');
let VehicleWidth = require('./VehicleWidth.js');
let AdverseWeatherConditionVisibilitySubCauseCode = require('./AdverseWeatherConditionVisibilitySubCauseCode.js');
let PhoneNumber = require('./PhoneNumber.js');
let StationaryVehicleSubCauseCode = require('./StationaryVehicleSubCauseCode.js');
let DangerousGoodsContainer = require('./DangerousGoodsContainer.js');
let HazardousLocationSurfaceConditionSubCauseCode = require('./HazardousLocationSurfaceConditionSubCauseCode.js');
let CoopAwareness = require('./CoopAwareness.js');
let Speed = require('./Speed.js');
let OpeningDaysHours = require('./OpeningDaysHours.js');
let CauseCode = require('./CauseCode.js');
let Heading = require('./Heading.js');
let HazardousLocationObstacleOnTheRoadSubCauseCode = require('./HazardousLocationObstacleOnTheRoadSubCauseCode.js');
let SteeringWheelAngleConfidence = require('./SteeringWheelAngleConfidence.js');
let DangerousEndOfQueueSubCauseCode = require('./DangerousEndOfQueueSubCauseCode.js');
let VehicleBreakdownSubCauseCode = require('./VehicleBreakdownSubCauseCode.js');
let RescueAndRecoveryWorkInProgressSubCauseCode = require('./RescueAndRecoveryWorkInProgressSubCauseCode.js');
let DangerousSituationSubCauseCode = require('./DangerousSituationSubCauseCode.js');
let CamParameters = require('./CamParameters.js');
let SafetyCarContainer = require('./SafetyCarContainer.js');
let WMInumber = require('./WMInumber.js');
let EmbarkationStatus = require('./EmbarkationStatus.js');
let SemiAxisLength = require('./SemiAxisLength.js');
let ActionID = require('./ActionID.js');
let RelevanceTrafficDirection = require('./RelevanceTrafficDirection.js');
let VerticalAcceleration = require('./VerticalAcceleration.js');
let Longitude = require('./Longitude.js');
let TrafficRule = require('./TrafficRule.js');
let SequenceNumber = require('./SequenceNumber.js');
let WrongWayDrivingSubCauseCode = require('./WrongWayDrivingSubCauseCode.js');
let AdverseWeatherConditionPrecipitationSubCauseCode = require('./AdverseWeatherConditionPrecipitationSubCauseCode.js');
let DeltaLatitude = require('./DeltaLatitude.js');
let PublicTransportContainer = require('./PublicTransportContainer.js');
let PositionOfOccupants = require('./PositionOfOccupants.js');
let ProtectedZoneID = require('./ProtectedZoneID.js');
let ItsPduHeader = require('./ItsPduHeader.js');
let VehicleLengthValue = require('./VehicleLengthValue.js');
let SignalViolationSubCauseCode = require('./SignalViolationSubCauseCode.js');
let Curvature = require('./Curvature.js');
let SubCauseCodeType = require('./SubCauseCodeType.js');
let NumberOfOccupants = require('./NumberOfOccupants.js');
let DrivingLaneStatus = require('./DrivingLaneStatus.js');
let SpeedConfidence = require('./SpeedConfidence.js');
let SlowVehicleSubCauseCode = require('./SlowVehicleSubCauseCode.js');
let CAM = require('./CAM.js');
let EventPoint = require('./EventPoint.js');
let PositionOfPillars = require('./PositionOfPillars.js');
let BasicVehicleContainerHighFrequency = require('./BasicVehicleContainerHighFrequency.js');
let HeadingValue = require('./HeadingValue.js');
let YawRateConfidence = require('./YawRateConfidence.js');
let ValidityDuration = require('./ValidityDuration.js');
let SpecialTransportType = require('./SpecialTransportType.js');
let Latitude = require('./Latitude.js');
let PositioningSolutionType = require('./PositioningSolutionType.js');
let InformationQuality = require('./InformationQuality.js');
let EmergencyVehicleApproachingSubCauseCode = require('./EmergencyVehicleApproachingSubCauseCode.js');
let PosFrontAx = require('./PosFrontAx.js');
let ReferencePosition = require('./ReferencePosition.js');
let DeltaReferencePosition = require('./DeltaReferencePosition.js');
let HeightLonCarr = require('./HeightLonCarr.js');
let AdverseWeatherConditionAdhesionSubCauseCode = require('./AdverseWeatherConditionAdhesionSubCauseCode.js');
let DangerousGoodsBasic = require('./DangerousGoodsBasic.js');
let VehicleMass = require('./VehicleMass.js');
let DeltaAltitude = require('./DeltaAltitude.js');

module.exports = {
  StationarySince: StationarySince,
  HumanProblemSubCauseCode: HumanProblemSubCauseCode,
  HumanPresenceOnTheRoadSubCauseCode: HumanPresenceOnTheRoadSubCauseCode,
  CurvatureConfidence: CurvatureConfidence,
  PosPillar: PosPillar,
  CenDsrcTollingZoneID: CenDsrcTollingZoneID,
  TurningRadius: TurningRadius,
  ProtectedZoneRadius: ProtectedZoneRadius,
  Altitude: Altitude,
  SpeedLimit: SpeedLimit,
  Temperature: Temperature,
  CollisionRiskSubCauseCode: CollisionRiskSubCauseCode,
  PtActivationType: PtActivationType,
  YawRateValue: YawRateValue,
  PostCrashSubCauseCode: PostCrashSubCauseCode,
  RestrictedTypes: RestrictedTypes,
  CauseCodeType: CauseCodeType,
  BasicVehicleContainerLowFrequency: BasicVehicleContainerLowFrequency,
  AccidentSubCauseCode: AccidentSubCauseCode,
  EmergencyContainer: EmergencyContainer,
  ProtectedZoneType: ProtectedZoneType,
  AdverseWeatherConditionExtremeWeatherConditionSubCauseCode: AdverseWeatherConditionExtremeWeatherConditionSubCauseCode,
  SpecialVehicleContainer: SpecialVehicleContainer,
  RescueContainer: RescueContainer,
  PerformanceClass: PerformanceClass,
  GenerationDeltaTime: GenerationDeltaTime,
  DangerousGoodsExtended: DangerousGoodsExtended,
  BasicContainer: BasicContainer,
  LightBarSirenInUse: LightBarSirenInUse,
  CenDsrcTollingZone: CenDsrcTollingZone,
  PosConfidenceEllipse: PosConfidenceEllipse,
  LongitudinalAccelerationValue: LongitudinalAccelerationValue,
  PosCentMass: PosCentMass,
  ExteriorLights: ExteriorLights,
  RSUContainerHighFrequency: RSUContainerHighFrequency,
  ClosedLanes: ClosedLanes,
  HazardousLocationAnimalOnTheRoadSubCauseCode: HazardousLocationAnimalOnTheRoadSubCauseCode,
  LowFrequencyContainer: LowFrequencyContainer,
  VerticalAccelerationValue: VerticalAccelerationValue,
  AccelerationControl: AccelerationControl,
  DeltaLongitude: DeltaLongitude,
  HighFrequencyContainer: HighFrequencyContainer,
  AltitudeValue: AltitudeValue,
  LongitudinalAcceleration: LongitudinalAcceleration,
  RequestResponseIndication: RequestResponseIndication,
  VehicleRole: VehicleRole,
  DigitalMap: DigitalMap,
  TransmissionInterval: TransmissionInterval,
  PtActivation: PtActivation,
  ItineraryPath: ItineraryPath,
  RoadType: RoadType,
  RoadworksSubCauseCode: RoadworksSubCauseCode,
  HeadingConfidence: HeadingConfidence,
  CurvatureCalculationMode: CurvatureCalculationMode,
  Traces: Traces,
  HardShoulderStatus: HardShoulderStatus,
  TrafficConditionSubCauseCode: TrafficConditionSubCauseCode,
  ProtectedCommunicationZonesRSU: ProtectedCommunicationZonesRSU,
  YawRate: YawRate,
  AltitudeConfidence: AltitudeConfidence,
  SpecialTransportContainer: SpecialTransportContainer,
  SpeedValue: SpeedValue,
  EnergyStorageType: EnergyStorageType,
  EmergencyPriority: EmergencyPriority,
  EventHistory: EventHistory,
  VehicleIdentification: VehicleIdentification,
  DriveDirection: DriveDirection,
  RoadWorksContainerBasic: RoadWorksContainerBasic,
  CurvatureValue: CurvatureValue,
  PosLonCarr: PosLonCarr,
  PathHistory: PathHistory,
  VehicleLength: VehicleLength,
  StationID: StationID,
  LateralAcceleration: LateralAcceleration,
  VehicleLengthConfidenceIndication: VehicleLengthConfidenceIndication,
  LateralAccelerationValue: LateralAccelerationValue,
  SteeringWheelAngle: SteeringWheelAngle,
  StationType: StationType,
  WheelBaseVehicle: WheelBaseVehicle,
  PathDeltaTime: PathDeltaTime,
  PtActivationData: PtActivationData,
  AccelerationConfidence: AccelerationConfidence,
  RelevanceDistance: RelevanceDistance,
  HazardousLocationDangerousCurveSubCauseCode: HazardousLocationDangerousCurveSubCauseCode,
  ProtectedCommunicationZone: ProtectedCommunicationZone,
  SteeringWheelAngleValue: SteeringWheelAngleValue,
  LanePosition: LanePosition,
  TimestampIts: TimestampIts,
  PathPoint: PathPoint,
  VDS: VDS,
  VehicleWidth: VehicleWidth,
  AdverseWeatherConditionVisibilitySubCauseCode: AdverseWeatherConditionVisibilitySubCauseCode,
  PhoneNumber: PhoneNumber,
  StationaryVehicleSubCauseCode: StationaryVehicleSubCauseCode,
  DangerousGoodsContainer: DangerousGoodsContainer,
  HazardousLocationSurfaceConditionSubCauseCode: HazardousLocationSurfaceConditionSubCauseCode,
  CoopAwareness: CoopAwareness,
  Speed: Speed,
  OpeningDaysHours: OpeningDaysHours,
  CauseCode: CauseCode,
  Heading: Heading,
  HazardousLocationObstacleOnTheRoadSubCauseCode: HazardousLocationObstacleOnTheRoadSubCauseCode,
  SteeringWheelAngleConfidence: SteeringWheelAngleConfidence,
  DangerousEndOfQueueSubCauseCode: DangerousEndOfQueueSubCauseCode,
  VehicleBreakdownSubCauseCode: VehicleBreakdownSubCauseCode,
  RescueAndRecoveryWorkInProgressSubCauseCode: RescueAndRecoveryWorkInProgressSubCauseCode,
  DangerousSituationSubCauseCode: DangerousSituationSubCauseCode,
  CamParameters: CamParameters,
  SafetyCarContainer: SafetyCarContainer,
  WMInumber: WMInumber,
  EmbarkationStatus: EmbarkationStatus,
  SemiAxisLength: SemiAxisLength,
  ActionID: ActionID,
  RelevanceTrafficDirection: RelevanceTrafficDirection,
  VerticalAcceleration: VerticalAcceleration,
  Longitude: Longitude,
  TrafficRule: TrafficRule,
  SequenceNumber: SequenceNumber,
  WrongWayDrivingSubCauseCode: WrongWayDrivingSubCauseCode,
  AdverseWeatherConditionPrecipitationSubCauseCode: AdverseWeatherConditionPrecipitationSubCauseCode,
  DeltaLatitude: DeltaLatitude,
  PublicTransportContainer: PublicTransportContainer,
  PositionOfOccupants: PositionOfOccupants,
  ProtectedZoneID: ProtectedZoneID,
  ItsPduHeader: ItsPduHeader,
  VehicleLengthValue: VehicleLengthValue,
  SignalViolationSubCauseCode: SignalViolationSubCauseCode,
  Curvature: Curvature,
  SubCauseCodeType: SubCauseCodeType,
  NumberOfOccupants: NumberOfOccupants,
  DrivingLaneStatus: DrivingLaneStatus,
  SpeedConfidence: SpeedConfidence,
  SlowVehicleSubCauseCode: SlowVehicleSubCauseCode,
  CAM: CAM,
  EventPoint: EventPoint,
  PositionOfPillars: PositionOfPillars,
  BasicVehicleContainerHighFrequency: BasicVehicleContainerHighFrequency,
  HeadingValue: HeadingValue,
  YawRateConfidence: YawRateConfidence,
  ValidityDuration: ValidityDuration,
  SpecialTransportType: SpecialTransportType,
  Latitude: Latitude,
  PositioningSolutionType: PositioningSolutionType,
  InformationQuality: InformationQuality,
  EmergencyVehicleApproachingSubCauseCode: EmergencyVehicleApproachingSubCauseCode,
  PosFrontAx: PosFrontAx,
  ReferencePosition: ReferencePosition,
  DeltaReferencePosition: DeltaReferencePosition,
  HeightLonCarr: HeightLonCarr,
  AdverseWeatherConditionAdhesionSubCauseCode: AdverseWeatherConditionAdhesionSubCauseCode,
  DangerousGoodsBasic: DangerousGoodsBasic,
  VehicleMass: VehicleMass,
  DeltaAltitude: DeltaAltitude,
};
